aboutsummaryrefslogtreecommitdiffstats
path: root/src/testdinit
diff options
context:
space:
mode:
authorErik Troan <ewt@redhat.com>1997-09-16 14:12:05 +0000
committerErik Troan <ewt@redhat.com>1997-09-16 14:12:05 +0000
commitced9dffda28f1ec2b060f3e419cf3c6b964b03a1 (patch)
treeda3f56c24861ddc77e2910291c71adc12dca136b /src/testdinit
downloadinitscripts-ced9dffda28f1ec2b060f3e419cf3c6b964b03a1.tar
initscripts-ced9dffda28f1ec2b060f3e419cf3c6b964b03a1.tar.gz
initscripts-ced9dffda28f1ec2b060f3e419cf3c6b964b03a1.tar.bz2
initscripts-ced9dffda28f1ec2b060f3e419cf3c6b964b03a1.tar.xz
initscripts-ced9dffda28f1ec2b060f3e419cf3c6b964b03a1.zip
Initial revision
Diffstat (limited to 'src/testdinit')
-rwxr-xr-xsrc/testdinit44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/testdinit b/src/testdinit
new file mode 100755
index 00000000..f2f4a85b
--- /dev/null
+++ b/src/testdinit
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# lpd This shell script takes care of starting and stopping
+# lpd (printer daemon).
+#
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ # Start daemons.
+ echo -n "Starting testd: "
+ testd &
+ echo
+ touch /var/lock/subsys/testd
+ ;;
+ stop)
+ # Stop daemons.
+ echo -n "Shutting down testd: "
+ killproc testd
+ echo
+ rm -f /var/lock/subsys/testd
+ ;;
+ status)
+ # Am I alive?
+ status testd
+ exit $?
+ ;;
+ restart)
+ echo -n "Shutting down testd: "
+ killproc testd
+ echo
+ echo -n "Starting testd: "
+ testd &
+ echo
+ ;;
+ *)
+ echo "Usage: testd {start|stop|status|restart}"
+ exit 1
+esac
+
+exit 0